#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QListWidget>
#include <brlcad/ConstDatabase.h>


namespace Ui {
class MainWindow;
}


class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
	void loadDatabase(const char *fileName);
	void closeDatabase();
	void quit();
    ~MainWindow();

private:
	void setDatabaseName(const char*);
	void setInterfaceVisible(bool);
	void initMenu(void);
	void openFileDialog(void);
	void onObjectClicked(QListWidgetItem*);
	std::vector<const char*> loadTopLevelObjects(void);
	BRLCAD::ConstDatabase *database;
	QListWidget *objectListWidget;
	QAction *actionOpen, *actionClose, *actionQuit;
};

#endif // MAINWINDOW_H
